<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__l2cap__cbfc__tx__data__info__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_l2cap_cbfc_tx_data_info_t</compoundname>
    <includes local="no">cy_ble_stack_l2cap.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__l2cap__cbfc__tx__data__info__t_1a111ebeec7da47646e3d102b217e44883" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* cy_stc_ble_l2cap_cbfc_tx_data_info_t::buffer</definition>
        <argsstring />
        <name>buffer</name>
        <briefdescription>
<para>Transmit data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="261" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="261" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__tx__data__info__t_1a49857ecae3159bb2f76d79b1e3a572a9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_tx_data_info_t::bufferLength</definition>
        <argsstring />
        <name>bufferLength</name>
        <briefdescription>
<para>L2CAP Data Packet length. </para>        </briefdescription>
        <detaileddescription>
<para>It shall be the minimum of local L2CAP MTU and peer L2CAP MTU size. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="265" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="265" />
      </memberdef>
      <memberdef id="structcy__stc__ble__l2cap__cbfc__tx__data__info__t_1a5855d35b501d6305af65ba204339688c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t cy_stc_ble_l2cap_cbfc_tx_data_info_t::localCid</definition>
        <argsstring />
        <name>localCid</name>
        <briefdescription>
<para>This parameter specifies the local channel end-point for the L2CAP channel. </para>        </briefdescription>
        <detaileddescription>
<para>For the initiator of L2CAP channel establishment, this must be set to the value indicated by the CY_BLE_EVT_L2CAP_CBFC_CONN_CNF event. For the responder, the upper- layer protocol obtains this value when it receives the event CY_BLE_EVT_L2CAP_CBFC_CONN_IND. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="273" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="273" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Tx Data parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="275" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" bodystart="258" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_l2cap.h" line="259" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__tx__data__info__t_1a111ebeec7da47646e3d102b217e44883" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_tx_data_info_t</scope><name>buffer</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__tx__data__info__t_1a49857ecae3159bb2f76d79b1e3a572a9" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_tx_data_info_t</scope><name>bufferLength</name></member>
      <member prot="public" refid="structcy__stc__ble__l2cap__cbfc__tx__data__info__t_1a5855d35b501d6305af65ba204339688c" virt="non-virtual"><scope>cy_stc_ble_l2cap_cbfc_tx_data_info_t</scope><name>localCid</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>